Exponential Basic 2.4.0.1 Exponential Basic CMS — PHP Class Reference

menuforumlist.php
Go to the documentation of this file.
1 <?php
3 //
4 // $Id: menuforumlist.php 7592 2001-09-30 11:48:33Z bf $
5 //
6 // Created on: <30-Sep-2001 14:38:03 bf>
7 //
8 // This source file is part of Exponential Basic, publishing software.
9 //
10 // Copyright (C) 1999-2001 eZ Systems. All rights reserved.
11 //
12 // This program is free software; you can redistribute it and/or
13 // modify it under the terms of the GNU General Public License
14 // as published by the Free Software Foundation; either version 2
15 // of the License, or (at your option) any later version.
16 //
17 // This program is distributed in the hope that it will be useful,
18 // but WITHOUT ANY WARRANTY; without even the implied warranty of
19 // MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
20 // GNU General Public License for more details.
21 //
22 // You should have received a copy of the GNU General Public License
23 // along with this program; if not, write to the Free Software
24 // Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, US
25 //
26
27 // include_once( "classes/INIFile.php" );
28 // include_once( "classes/eztexttool.php" );
29
30 // include_once( "classes/eztemplate.php" );
31 // include_once( "classes/ezlocale.php" );
32 // include_once( "classes/ezlist.php" );
33 // include_once( "ezuser/classes/ezuser.php" );
34
35 // include_once( "ezforum/classes/ezforumcategory.php" );
36 // include_once( "ezforum/classes/ezforum.php" );
37
38 $Language = $ini->variable( "eZForumMain", "Language" );
39
40 $t = new eZTemplate( "kernel/ezforum/user/" . $ini->variable( "eZForumMain", "TemplateDir" ),
41 "kernel/ezforum/user/intl", $Language, "menuforumlist.php" );
42
43 $t->set_file( "menuforum_list_tpl", "menuforumlist.tpl" );
44 $t->set_block( "menuforum_list_tpl", "forum_item_tpl", "forum_item" );
45 $t->setAllStrings();
46
47 $category = new eZForumCategory( $CategoryID );
48 $forumList = $category->forums();
49 $t->set_var( "forum_category_name", $category->name() );
50
51 $t->set_var( "forum_item", "" );
52
53 foreach ( $forumList as $forum )
54 {
55 $t->set_var( "forum_id", $forum->id() );
56 $t->set_var( "forum_name", $forum->name() );
57
58 $t->parse( "forum_item", "forum_item_tpl", true );
59 }
60
61 $t->pparse( "output", "menuforum_list_tpl" );
62
63 ?>
$CategoryID
$CategoryID
Definition: admin/articleedit.php:53
$forum
$forum
Definition: admin/forumlist.php:50
eZForumCategory
Definition: ezforumcategory.php:44
eZTemplate
Definition: eztemplate.php:107
$ini
$ini
Definition: classes/admin/linklist.php:64
$category
$category
Definition: menuforumlist.php:47
$t
$t
Definition: menuforumlist.php:40
$Language
$Language
Definition: menuforumlist.php:38
$forumList
$forumList
Definition: menuforumlist.php:48
Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.